package com.ff.apimngr.dao;

import com.ff.apimngr.entity.CodeInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface CodeInfoMapper {


    /**
     * 根据errorCode查找
     * @param errorCode
     * @return
     */
    CodeInfo findByCode(String errorCode);


    /**
     * 插入
     * @param codeInfo
     * @return
     */
    boolean insert(CodeInfo codeInfo);

    /**
     * 更新
     * @param codeInfo
     * @return
     */
    boolean update(CodeInfo codeInfo);

    /**
     * 根据errorCode删除
     * @param errorCode
     * @return
     */
    boolean deleteByCode(String errorCode);

    List<CodeInfo> list(@Param("tag") String tag);


}
