package com.ff.apimngr.entity;

import java.util.Date;

import lombok.Data;

//接口
@Data
public class Api {
    private Integer id;
    private Integer apiTypeId;
    private String name;
    private String url;
    private String cgiUrl;
    private String callLimit;
    private String qpsLimit;
    private ApiType apiType;
    private Auth auth;
    private Integer status; //状态 0=未发布 1=发布  2019-6-8修改 、、、0=免费使用 1=待开通付费 2=已开通付费 3=VIP使用
    private String description;
    private String version;//版本号
    private String docUrl;//开发文档
    private String createBy;
    private Date createTime;
    private Date updateTime;
    private Integer browserCount;
    
    //扩展json
    private String extJson;

    private Integer applyUserId;//申请人id
    private String mobile;//联系方式
    private Integer applyStatus;//审核状态:0 未审核、1 已审核待开发 2已审核已完成 3审核不通过
    private Date applyTime;//申请时间
    private String disagreeReason;//申请失败原因
    private Integer isApply;//是否是申请新增：0否 1是
}
